# Class SimpleDomain.Mapper<T>

java.lang.Object
uk.ac.starlink.ttools.plot2.data.SimpleDomain.Mapper<T>

All Implemented Interfaces:
  `uk.ac.starlink.table.DomainMapper`

Enclosing class:
  `SimpleDomain<T>`

public static class SimpleDomain.Mapper<T> extends Object implements uk.ac.starlink.table.DomainMapper
Simple mapper implementation.

Since:
  14 Apr 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Mapper(SimpleDomain<T> domain)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getSourceClass()`
`String`
`getSourceDescription()`
`String`
`getSourceName()`
`SimpleDomain<T>`
`getTargetDomain()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mapper

public Mapper(SimpleDomain<T> domain)
Constructor.

Parameters:
  `domain` - target domain

## Method Details

### getTargetDomain

public SimpleDomain<T> getTargetDomain()

Specified by:
  `getTargetDomain` in interface `uk.ac.starlink.table.DomainMapper`

### getSourceClass

public Class<?> getSourceClass()

Specified by:
  `getSourceClass` in interface `uk.ac.starlink.table.DomainMapper`

### getSourceName

public String getSourceName()

Specified by:
  `getSourceName` in interface `uk.ac.starlink.table.DomainMapper`

### getSourceDescription

public String getSourceDescription()

Specified by:
  `getSourceDescription` in interface `uk.ac.starlink.table.DomainMapper`